Package org.apache.synapse.transport.passthru.config

## Class PassThroughConfiguration

- java.lang.Object
- - org.apache.synapse.transport.passthru.config.PassThroughConfiguration

-     public class PassThroughConfiguration
      extends Object

  This class encapsulates pass-through http transport tuning configurations specified via a configurations file or system properties.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAllowedResponseProperties()` |
    `Boolean` | `getBooleanProperty​(String name)` |
    `Boolean` | `getBooleanProperty​(String name, Boolean def)` |
    `int` | `getConnectionGraceTime()` |
    `int` | `getConnectionIdleTime()` |
    `String` | `getCorrelationHeaderName()` |
    `String` | `getExpectedMaxQueueingTime()` |
    `Long` | `getExpectedMaxQueueingTimeForMessageDiscardWorker()` |
    `static PassThroughConfiguration` | `getInstance()` |
    `Integer` | `getIntProperty​(String name, Integer def)` |
    `int` | `getIOBufferSize()` |
    `int` | `getIOThreadsPerReactor()` |
    `int` | `getListenerShutdownWaitTime()` |
    `int` | `getMaxActiveConnections()` |
    `int` | `getMaximumConnectionLifespan()` |
    `String` | `getPassThroughDefaultServiceName()` | Get the default synapse service name
    `String` | `getPreserveHttpHeaders()` |
    `String` | `getResponsePreseveHttpHeaders()` |
    `String` | `getRESTDispatchService()` |
    `String` | `getRestUriApiRegex()` |
    `String` | `getRestUriProxyRegex()` |
    `int` | `getSecondaryWorkerPoolCoreSize()` |
    `int` | `getSecondaryWorkerPoolMaxSize()` |
    `int` | `getSecondaryWorkerPoolQueueLen()` |
    `int` | `getSecondaryWorkerThreadKeepaliveSec()` |
    `String` | `getStringProperty​(String name, String def)` |
    `int` | `getWorkerPoolCoreSize()` |
    `int` | `getWorkerPoolMaxSize()` |
    `int` | `getWorkerPoolQueueLen()` |
    `int` | `getWorkerThreadKeepaliveSec()` |
    `boolean` | `isCloseSocketOnEndpointTimeout()` |
    `boolean` | `isConsumeAndDiscard()` |
    `boolean` | `isConsumeAndDiscardBySecondaryWorkerPool()` |
    `boolean` | `isForcedJSONMessageValidationEnabled()` |
    `boolean` | `isForcedXmlMessageValidationEnabled()` |
    `boolean` | `isIgnoreCaseSensitiveHeaders()` | Get the value of the property to ignore case-sensitive headers from excess headers
    `boolean` | `isKeepAliveDisabled()` |
    `boolean` | `isListeningIOReactorShared()` |
    `boolean` | `isPreserveServerHeader()` |
    `boolean` | `isPreserveUserAgentHeader()` |
    `boolean` | `isReverseProxyMode()` | Check for reverse proxy mode
    `boolean` | `isServiceListBlocked()` |
    `boolean` | `isTLSGracefulConnectionTerminationEnabled()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static PassThroughConfiguration getInstance()

    - #### getWorkerPoolCoreSize

          public int getWorkerPoolCoreSize()

    - #### getSecondaryWorkerPoolCoreSize

          public int getSecondaryWorkerPoolCoreSize()

    - #### getWorkerPoolMaxSize

          public int getWorkerPoolMaxSize()

    - #### getSecondaryWorkerPoolMaxSize

          public int getSecondaryWorkerPoolMaxSize()

    - #### getWorkerThreadKeepaliveSec

          public int getWorkerThreadKeepaliveSec()

    - #### getSecondaryWorkerThreadKeepaliveSec

          public int getSecondaryWorkerThreadKeepaliveSec()

    - #### getWorkerPoolQueueLen

          public int getWorkerPoolQueueLen()

    - #### getSecondaryWorkerPoolQueueLen

          public int getSecondaryWorkerPoolQueueLen()

    - #### getIOThreadsPerReactor

          public int getIOThreadsPerReactor()

    - #### getIOBufferSize

          public int getIOBufferSize()

    - #### isKeepAliveDisabled

          public boolean isKeepAliveDisabled()

    - #### isCloseSocketOnEndpointTimeout

          public boolean isCloseSocketOnEndpointTimeout()

    - #### isTLSGracefulConnectionTerminationEnabled

          public boolean isTLSGracefulConnectionTerminationEnabled()

    - #### isConsumeAndDiscard

          public boolean isConsumeAndDiscard()

    - #### isConsumeAndDiscardBySecondaryWorkerPool

          public boolean isConsumeAndDiscardBySecondaryWorkerPool()

    - #### getMaxActiveConnections

          public int getMaxActiveConnections()

    - #### getListenerShutdownWaitTime

          public int getListenerShutdownWaitTime()

    - #### isPreserveUserAgentHeader

          public boolean isPreserveUserAgentHeader()

    - #### isPreserveServerHeader

          public boolean isPreserveServerHeader()

    - #### isForcedXmlMessageValidationEnabled

          public boolean isForcedXmlMessageValidationEnabled()

    - #### isForcedJSONMessageValidationEnabled

          public boolean isForcedJSONMessageValidationEnabled()

    - #### getPreserveHttpHeaders

          public String getPreserveHttpHeaders()

    - #### getResponsePreseveHttpHeaders

          public String getResponsePreseveHttpHeaders()

    - #### isServiceListBlocked

          public boolean isServiceListBlocked()

    - #### getConnectionIdleTime

          public int getConnectionIdleTime()

    - #### getMaximumConnectionLifespan

          public int getMaximumConnectionLifespan()

    - #### getConnectionGraceTime

          public int getConnectionGraceTime()

    - #### getCorrelationHeaderName

          public String getCorrelationHeaderName()

    - #### getExpectedMaxQueueingTime

          public String getExpectedMaxQueueingTime()

    - #### getExpectedMaxQueueingTimeForMessageDiscardWorker

          public Long getExpectedMaxQueueingTimeForMessageDiscardWorker()

    - #### getBooleanProperty

          public Boolean getBooleanProperty​(String name)

    - #### getBooleanProperty

          public Boolean getBooleanProperty​(String name,
                                            Boolean def)

    - #### getIntProperty

          public Integer getIntProperty​(String name,
                                        Integer def)

    - #### getStringProperty

          public String getStringProperty​(String name,
                                          String def)

    - #### getRESTDispatchService

          public String getRESTDispatchService()

    - #### getRestUriApiRegex

          public String getRestUriApiRegex()

    - #### getRestUriProxyRegex

          public String getRestUriProxyRegex()

    - #### isListeningIOReactorShared

          public boolean isListeningIOReactorShared()

    - #### getAllowedResponseProperties

          public String getAllowedResponseProperties()

    - #### isReverseProxyMode

          public boolean isReverseProxyMode()

      Check for reverse proxy mode
      Returns:
        whether reverse proxy mode is enabled

    - #### getPassThroughDefaultServiceName

          public String getPassThroughDefaultServiceName()

      Get the default synapse service name
      Returns:
        default synapse service name

    - #### isIgnoreCaseSensitiveHeaders

          public boolean isIgnoreCaseSensitiveHeaders()

      Get the value of the property to ignore case-sensitive headers from excess headers
      Returns:
        Value of the property